Bug 1249152 - Xorg crash after suspend/resume when touching a disabled touchpad
Xorg crash after suspend/resume when touching a disabled touchpad
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 12:12 EDT by Henry Ritzlmayr
Modified: 2016-07-19 15:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:54:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (233.79 KB, text/plain)
2015-08-07 02:31 EDT, Henry Ritzlmayr
no flags Details

  None (edit)
Description Henry Ritzlmayr 2015-07-31 12:12:04 EDT
Description of problem:
Xorg crash after suspend/resume when touching a disabled touchpad
on a Thinkpad W530

Version-Release number of selected component (if applicable):
xorg-x11-drv-synaptics-1.8.2-2.fc22.x86_64

How reproducible:
suspend/resume a Thinkpad W530 running KDE and configure 
the touchpad to be disabled when a mouse is connected.
Also a mouse has to be connected -> so the touchpad gets
disabled.


Steps to Reproduce:
1. Configure the touchpad to be disabled when a mouse is connected
2. Connect a mouse
3. suspend the W530
4. resume 
5. touch the touchpad

Actual results:
Xorg crashes

Expected results:
no crash

Additional info:
If either there is no external mouse connected or 
the touchpad isn´t configured to be disabled when a 
mouse is connected everything works as expected

Excerpt from /var/log/Xorg.0.log.old
(EE)
(EE) Backtrace:
(EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59a489]
(EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x33c3634a4f]
(EE) 2: /usr/lib64/xorg/modules/input/synaptics_drv.so (_init+0xa479) [0x7f21add17af9]
(EE) 3: /usr/lib64/xorg/modules/input/synaptics_drv.so (_init+0x4878) [0x7f21add0c5d8]
(EE) 4: /usr/libexec/Xorg (DPMSSupported+0xe8) [0x478f98]
(EE) 5: /usr/libexec/Xorg (xf86SerialModemClearBits+0x2b2) [0x4a25b2]
(EE) 6: /lib64/libc.so.6 (__restore_rt+0x0) [0x33c3634a4f]
(EE) 7: /lib64/libc.so.6 (__select_nocancel+0xa) [0x33c36f903a]
(EE) 8: /usr/libexec/Xorg (WaitForSomething+0x1d0) [0x593380]
(EE) 9: /usr/libexec/Xorg (SendErrorToClient+0x111) [0x43a311]
(EE) 10: /usr/libexec/Xorg (remove_fs_handlers+0x41b) [0x43e5fb]
(EE) 11: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x33c3620700]
(EE) 12: /usr/libexec/Xorg (_start+0x29) [0x4289c9]
(EE) 13: ? (?+0x29) [0x29]
(EE)
(EE) Segmentation fault at address 0x0
(EE)
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting
(EE)
(EE)
)
Comment 1 Peter Hutterer 2015-08-03 22:55:21 EDT
:: whot@jelly:~> eu-addr2line -e /usr/lib64/xorg/modules/input/synaptics_drv.so
_init+0xa479
/usr/src/debug/xf86-input-synaptics-1.8.2/src/eventcomm.c:632


which suggests that priv->proto_data is NULL, which is odd. Please attach your full Xorg.log from that crash.
Comment 2 Henry Ritzlmayr 2015-08-07 02:31:58 EDT
Created attachment 1060227 [details]
Xorg.0.log

Here the requested Xorg.log

procedure for this log was

kill X (Cntrl+Alt+Backspace)
changed setting to disable touchpad on connected mouse
suspended the W530 (by closing the lid)
resumed (by opening the lid)
touched the touchpad
Comment 3 Peter Hutterer 2016-05-05 00:50:00 EDT
whoops, sorry about the delay here. The stack trace doesn't make any sense and suggests memory corruption elsewhere. Unfortunately with the NVIDIA driver in play here that makes it a lot harder to debug.

do you still see the issue on the most recent versions?
Comment 4 Fedora End Of Life 2016-07-19 15:54:15 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.